Subject: [BugDB] SSL config w 1.3.23/2.8.6/0.9.6c +php4.1.1 (PR#666)

From: [email-masked]
Date: Tue, 26 Feb 2002 10:41:18 +0100 (MET)

Full_Name: Amael
Version: mod_ssl-2.8.6-1.3.23
OS: FreeBSD 4.5
Submission from: (NULL) (194.237.142.7)

I have problems creating a SSL vhost.
I cant define SSL "options" ie SSLEngine etc outside <IfDefine SSL>
part of the httpd.conf. If i do, i get this error message:

Invalid command 'SSLEngine', perhaps mis-spelled or defined by a module not
included in the server configuration

But if i check the ssl_engine.log modssl and openssl seems to be with me:

[26/Feb/2002 09:03:48 20479] [info]  Server: Apache/1.3.23, Interface:
mod_ssl/2.8.6, Library: OpenSSL/0.9.6c

[Tue Feb 26 09:03:53 2002] [notice] Apache/1.3.23 (Unix) PHP/4.1.1 mod_ssl/2.8.6
OpenSSL/0.9.6c configured -- resuming normal operations

So currently i have a *:80 vhost defined, a _default_:443 defined
within the <IfDefine SSL> part and two vhost with the same ip,
one with port 80 and one with port 443 outside the ifdefine part.

When i try to access the https part this shows up in the errorlog

[Tue Feb 26 10:20:53 2002] [error] [client 192.168.0.13] Invalid method in
request \x80L^A^C^A

And access.log

- [26/Feb/2002:10:20:53 +0100] "€L" 501 -

So i change the _default_:443 vhost to myip:443.

Now i get a completly different messages in the logs:
[ssl_engine.log]
[26/Feb/2002 10:26:32 20646] [trace] OpenSSL: Handshake: done
[26/Feb/2002 10:26:32 20646] [info]  Connection: Client IP: myip, Protocol:
TLSv1, Cipher: RC4-MD5 (128/128 bits)
..
[26/Feb/2002 10:26:32 20646] [trace] OpenSSL: Write: SSL negotiation finished
successfully
[26/Feb/2002 10:26:32 20646] [info]  Connection to child 2 closed with standard
shutdown (server myservername:443, client myip)

So it seems that the handshake part went ok, but no page is displayed,
only a "The page cannot be displayed" error page (Cannot find server or DNS
Error). I have tried with both IE 5.x and IE6.

If i type ../bin/httpd -L i cant see any SSL directives in the list,
and with ../bin/httpd -S i cant see the vhost defined within the
<IfDefine SSL> part.

The config file has both a 'LoadModule ssl_module  libexec/libssl.so'
and 'AddModule mod_ssl.c' defined.

Whats the problem? Btw, i couldnt use my old httpd.conf, it seems to
have the same problems, but httpd.conf changed so much i didn´t dare
to use it, so i wrote a new one.

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]